Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.style
Class StyleNodeFactory

    java.lang.Object
      |
      +--com.icl.saxon.style.StyleNodeFactory

All Implemented Interfaces:
  NodeFactory

public class StyleNodeFactory
extends java.lang.Object
implements NodeFactory

Class StyleNodeFactory.
A Factory for nodes in the stylesheet tree.
Currently only allows Element nodes to be user-constructed.

Constructor Summary
`StyleNodeFactory(NamePool pool)`

Method Summary
`StandardNames` | `getStandardNames()`
`boolean` | `isElementAvailable(java.lang.String uri, java.lang.String localName)` Method to support the element-available() function
`ElementImpl` | `makeElementNode(NodeInfo parent, int nameCode, AttributeCollection attlist, int[] namespaces, int namespacesUsed, org.xml.sax.Locator locator, int sequence)` Create an Element node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleNodeFactory

    public StyleNodeFactory(NamePool pool)

Method Detail

### getStandardNames

    public StandardNames getStandardNames()

### makeElementNode

    public ElementImpl makeElementNode(NodeInfo parent,
                                       int nameCode,
                                       AttributeCollection attlist,
                                       int[] namespaces,
                                       int namespacesUsed,
                                       org.xml.sax.Locator locator,
                                       int sequence)

  Create an Element node. Note, if there is an error detected while constructing the Element, we add the element anyway, and return success, but flag the element with a validation error. In principle this should allow us to report more than one error from a single compilation.
  Specified by:
    `makeElementNode` in interface `NodeFactory`
  Parameters:
    `tag` - The element name
    `attlist` - the attribute list

### isElementAvailable

    public boolean isElementAvailable(java.lang.String uri,
                                      java.lang.String localName)

  Method to support the element-available() function

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD